package com.acme.conversion.currency.service;

public class FixedRateCurrencyExchangeService
    implements CurrencyExchangeService {

    private double rate;

    public FixedRateCurrencyExchangeService() {
        rate = 1.5;
    }

    public double getRate() {
        return rate;
    }

    public void setRate(double rate) {
        this.rate = rate;
    }

    public double requestCurrentRate(String fromCurrency, String toCurrency) {
        double answer = 0;
        if (fromCurrency.equals("USD") && toCurrency.equals("CDN")) {
            answer = rate;
        }
        if (fromCurrency.equals("CDN") && toCurrency.equals("USD")) {
            answer = 1/rate;
        }
        return answer;
    }
}
