package com.acme.test;

import junit.framework.*;

public class CryptTest extends TestCase {

    public void testEncrypt() {
        String plainText = "convoy sails for England tonight";
        String crypted = CryptUtil.encryptString(plainText);
        assertFalse("Encrypted value should not be equal to the"+
                    " original", crypted.equals(plainText));
    }

    public void testDecrypt() {
        String plainText = "my password is elephant";
        String crypted = CryptUtil.encryptString(plainText);
        String decrypt = CryptUtil.decryptString(crypted);
        assertEquals("Decrypted value should be equal to the"+
                     " original", plainText, decrypt);
    }
}
