package com.acme.conversion.currency.client;

import com.acme.conversion.currency.service.CurrencyExchangeService;
import com.acme.conversion.currency.service.CurrencyExchangeServiceFactory;

public class CommandLineClient {
    public static void main(String[] args) {
        if (args.length != 2) {
            System.out.println("Requested parameters: " +
                "<source currency code> <target currency code>");
        }
        else {
            CurrencyExchangeService service =
                CurrencyExchangeServiceFactory.getService();
            double rate = service.requestCurrentRate(args[0], args[1]);
            System.out.println("Rate is " + rate);
        }
    }
}

