package com.acme.conversion.currency.service;

import junit.framework.TestCase;

public class FixedRateTest extends TestCase {
    /**
     * To test the fixed rate, we need to do the following:
     * 1) Get an instance of the FixedRateCurrencyExchangeService
     * 2) From it, request its rate
     * 3) Compare that rate with the expected value, which is 1.5
     */
    public void testFixedRate() {
        FixedRateCurrencyExchangeService service =
            new FixedRateCurrencyExchangeService();
        assertEquals("Fixed rate was not returned at " +
                     "expected value",
                     1.5d, service.getRate(), 0.01d);
    }
}
